MFC011 — Gerenciamento de Boletos
Fonte
- Source:
source/MFC011/
Objetivo
O módulo MFC011 é responsável pelo gerenciamento completo do ciclo de vida dos boletos bancários no sistema JunsoftERP. Este módulo permite a impressão de boletos, geração de arquivos de remessa para envio aos bancos e processamento de arquivos de retorno com as informações de liquidação.
O módulo é fundamental para empresas que utilizam cobrança bancária como forma de recebimento, automatizando o processo de comunicação com as instituições financeiras através do padrão CNAB (Centro Nacional de Automação Bancária) nos formatos 240 e 400 posições.
É utilizado principalmente pelos setores financeiro e de cobrança, permitindo controlar todo o fluxo de boletos desde sua emissão até a confirmação de pagamento pelo banco. Suporta diversos bancos brasileiros incluindo Banco do Brasil, Bradesco, Itaú, Santander, Caixa Econômica Federal, Sicoob, Sicredi, Safra, entre outros.
O módulo possui duas abas principais: Impressão de Boletos / Arquivo de Remessa (para geração e envio de boletos) e Retorno Bancário (para processamento das liquidações informadas pelo banco).
Funcionalidades
- Filtro de Documentos para Geração de Boletos
- Seleção e Marcação de Documentos
- Configuração de Parâmetros do Boleto
- Geração de Boletos e Arquivos de Remessa
- Processamento de Arquivo de Retorno
- Liquidação Automática de Boletos
Mensagens exibidas
Levantadas de source/MFC011/ pela camada 0 (commit 96fc51e236).
Mais 86 mensagens com texto literal no código: MFC011.
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CAMPOSFIXOS | DELETE, INSERT, SELECT |
| CONFBOLETO | DELETE, INSERT, SELECT |
| CONTAS | DELETE, INSERT, SELECT, UPDATE |
| CONTASBOLETO | INSERT, SELECT, UPDATE |
| CONTASJUNCAO | DELETE, INSERT, SELECT |
| PESSOA | DELETE, INSERT, SELECT, UPDATE |
| PROCESSO | UPDATE |
| SEQUENCIA | SELECT, UPDATE |
| TIPOCONTA | DELETE, INSERT, SELECT, UPDATE |
| TIPOPESSOA | DELETE, INSERT, SELECT, UPDATE |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| BANCO | SELECT |
| BOLETO | SELECT |
| BOLETOIMPRESSO | SELECT |
| CONFIGNFSE | SELECT |
| CONTACORPESSOA | SELECT |
| CONTASHISTORICO | SELECT |
| CTRC | SELECT |
| DESTINOREPARCELAMENTO | SELECT |
| EMPRESA | SELECT |
| ENDERECOPESSOA | SELECT |
| FATURACONTAS | SELECT |
| FATURANOTA | SELECT |
| FORMAPAGTO | SELECT |
| HISTORICO | SELECT |
| IMPRESSORA | SELECT |
| JURO | SELECT |
| MOVTOCAIXA | SELECT |
| MOVTOPROCESSO | SELECT |
| MUNICIPIO | SELECT |
| NFE | SELECT |
| NFSE | SELECT |
| NOTA | SELECT |
| ORIGEMREPARCELAMENTO | SELECT |
| PARMFINANC | SELECT |
| PESSOASOCIO | SELECT |
| USUARIOEMPRESA | SELECT |
| VENDEDOR | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| CALCULA_JURO | JURO (SELECT), PARMFINANC (SELECT) |
| EXECUTA_PROCESSO | AGENCIA (SELECT), AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), AVISOSCPC (INSERT), BANCO (SELECT), CHEQUE (SELECT) +63 |
| GERA_BOLETOVIPAL | BOLETO (SELECT), CONFBOLETO (SELECT), CONTAS (SELECT), EMPRESA (SELECT), ENDERECOPESSOA (SELECT), MUNICIPIO (SELECT) +1 |
| GERA_SEQUENCIA | SEQUENCIA (SELECT/UPDATE) |
| GRAVA_CONTAS | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), BOLETO (SELECT), CODRECEITA (SELECT), CONDPAGTO (SELECT), CONDPARCELA (SELECT) +64 |
| GRAVA_MOVTOCAIXA | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), CODRECEITA (SELECT), CONDPAGTO (SELECT), CONTAS (SELECT), CONTASCTB (DELETE/INSERT/SELECT) +56 |
| GRAVA_MOVTOPROCESSO | CONTAS (SELECT), CONTASHISTORICO (SELECT), HISTORICO (SELECT), MOVTOPROCESSO (INSERT/SELECT), PARMFINANC (SELECT), PROCESSO (SELECT/UPDATE) |
| GRAVA_PROCESSO | PROCESSO (INSERT), SEQUENCIA (SELECT/UPDATE), SESSAO (SELECT) |
| RETORNA_COMPLEMENTO | CONTAS (SELECT), CONTASHISTORICO (SELECT), HISTORICO (SELECT), MOVTOCAIXA (SELECT), PARMCOMPLCAIXA (SELECT), PARMFINANC (SELECT) +3 |
| VERIFICA_NOTA_FISCAL | MODELONF (SELECT), NOTA (SELECT) |
| VIEW_PARMSALDO | EMPRESA (SELECT), PARMFINANC (SELECT), PARMSALDO (SELECT), SESSAO (INSERT/SELECT), USUARIOCONTASALDO (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| AJUSTEFISCALITEMNOTA | DELETE, INSERT, SELECT |
| ALIQUOTA | SELECT |
| AVISOSCPC | INSERT |
| BANCO | SELECT |
| BOLETO | SELECT |
| CHEQUE | SELECT |
| CODRECEITA | SELECT |
| COMISSAOCONTAS | INSERT |
| CONDPAGTO | SELECT |
| CONDPARCELA | SELECT |
| CONFBOLETO | SELECT |
| CONTAS | INSERT, SELECT, UPDATE |
| CONTASBLOQFINANC | SELECT |
| CONTASCTB | DELETE, INSERT, SELECT |
| CONTASHISTORICO | INSERT, SELECT |
| CONTASHISTORICOCC | SELECT |
| CONTASHISTORICOCTB | DELETE, INSERT, SELECT |
| CONTASJUNCAO | SELECT |
| CONTASPESSOA | INSERT, SELECT |
| ... | +64 tabelas |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |